﻿/// <reference path="../Scripts/msls-1.0.0.js" />

window.myapp = msls.application;

(function (lightSwitchApplication) {

    var $Entity = msls.Entity,
        $DataService = msls.DataService,
        $DataWorkspace = msls.DataWorkspace,
        $defineEntity = msls._defineEntity,
        $defineDataService = msls._defineDataService,
        $defineDataWorkspace = msls._defineDataWorkspace,
        $DataServiceQuery = msls.DataServiceQuery,
        $toODataString = msls._toODataString;

    function Customer(entitySet) {
        /// <summary>
        /// Represents the Customer entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this customer.
        /// </param>
        /// <field name="CustomerID" type="String">
        /// Gets or sets the customerID for this customer.
        /// </field>
        /// <field name="CompanyName" type="String">
        /// Gets or sets the companyName for this customer.
        /// </field>
        /// <field name="ContactName" type="String">
        /// Gets or sets the contactName for this customer.
        /// </field>
        /// <field name="ContactTitle" type="String">
        /// Gets or sets the contactTitle for this customer.
        /// </field>
        /// <field name="Address" type="String">
        /// Gets or sets the address for this customer.
        /// </field>
        /// <field name="City" type="String">
        /// Gets or sets the city for this customer.
        /// </field>
        /// <field name="Region" type="String">
        /// Gets or sets the region for this customer.
        /// </field>
        /// <field name="PostalCode" type="String">
        /// Gets or sets the postalCode for this customer.
        /// </field>
        /// <field name="Country" type="String">
        /// Gets or sets the country for this customer.
        /// </field>
        /// <field name="Phone" type="String">
        /// Gets or sets the phone for this customer.
        /// </field>
        /// <field name="Fax" type="String">
        /// Gets or sets the fax for this customer.
        /// </field>
        /// <field name="Orders" type="msls.EntityCollection">
        /// Gets the orders for this customer.
        /// </field>
        /// <field name="details" type="msls.application.Customer.Details">
        /// Gets the details for this customer.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Order_Detail(entitySet) {
        /// <summary>
        /// Represents the Order_Detail entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this order_Detail.
        /// </param>
        /// <field name="OrderID" type="Number">
        /// Gets or sets the orderID for this order_Detail.
        /// </field>
        /// <field name="ProductID" type="Number">
        /// Gets or sets the productID for this order_Detail.
        /// </field>
        /// <field name="UnitPrice" type="Number">
        /// Gets or sets the unitPrice for this order_Detail.
        /// </field>
        /// <field name="Quantity" type="Number">
        /// Gets or sets the quantity for this order_Detail.
        /// </field>
        /// <field name="Discount" type="Number">
        /// Gets or sets the discount for this order_Detail.
        /// </field>
        /// <field name="Order" type="msls.application.Order">
        /// Gets or sets the order for this order_Detail.
        /// </field>
        /// <field name="details" type="msls.application.Order_Detail.Details">
        /// Gets the details for this order_Detail.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Order(entitySet) {
        /// <summary>
        /// Represents the Order entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this order.
        /// </param>
        /// <field name="OrderID" type="Number">
        /// Gets or sets the orderID for this order.
        /// </field>
        /// <field name="EmployeeID" type="Number">
        /// Gets or sets the employeeID for this order.
        /// </field>
        /// <field name="OrderDate" type="Date">
        /// Gets or sets the orderDate for this order.
        /// </field>
        /// <field name="RequiredDate" type="Date">
        /// Gets or sets the requiredDate for this order.
        /// </field>
        /// <field name="ShippedDate" type="Date">
        /// Gets or sets the shippedDate for this order.
        /// </field>
        /// <field name="ShipVia" type="Number">
        /// Gets or sets the shipVia for this order.
        /// </field>
        /// <field name="Freight" type="Number">
        /// Gets or sets the freight for this order.
        /// </field>
        /// <field name="ShipName" type="String">
        /// Gets or sets the shipName for this order.
        /// </field>
        /// <field name="ShipAddress" type="String">
        /// Gets or sets the shipAddress for this order.
        /// </field>
        /// <field name="ShipCity" type="String">
        /// Gets or sets the shipCity for this order.
        /// </field>
        /// <field name="ShipRegion" type="String">
        /// Gets or sets the shipRegion for this order.
        /// </field>
        /// <field name="ShipPostalCode" type="String">
        /// Gets or sets the shipPostalCode for this order.
        /// </field>
        /// <field name="ShipCountry" type="String">
        /// Gets or sets the shipCountry for this order.
        /// </field>
        /// <field name="Order_Details" type="msls.EntityCollection">
        /// Gets the order_Details for this order.
        /// </field>
        /// <field name="Customer" type="msls.application.Customer">
        /// Gets or sets the customer for this order.
        /// </field>
        /// <field name="details" type="msls.application.Order.Details">
        /// Gets the details for this order.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function NorthwindData(dataWorkspace) {
        /// <summary>
        /// Represents the NorthwindData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="Customers" type="msls.EntitySet">
        /// Gets the Customers entity set.
        /// </field>
        /// <field name="Order_Details" type="msls.EntitySet">
        /// Gets the Order_Details entity set.
        /// </field>
        /// <field name="Orders" type="msls.EntitySet">
        /// Gets the Orders entity set.
        /// </field>
        /// <field name="details" type="msls.application.NorthwindData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };
    function DataWorkspace() {
        /// <summary>
        /// Represents the data workspace.
        /// </summary>
        /// <field name="NorthwindData" type="msls.application.NorthwindData">
        /// Gets the NorthwindData data service.
        /// </field>
        /// <field name="details" type="msls.application.DataWorkspace.Details">
        /// Gets the details for this data workspace.
        /// </field>
        $DataWorkspace.call(this);
    };

    msls._addToNamespace("msls.application", {

        Customer: $defineEntity(Customer, [
            { name: "CustomerID", type: String },
            { name: "CompanyName", type: String },
            { name: "ContactName", type: String },
            { name: "ContactTitle", type: String },
            { name: "Address", type: String },
            { name: "City", type: String },
            { name: "Region", type: String },
            { name: "PostalCode", type: String },
            { name: "Country", type: String },
            { name: "Phone", type: String },
            { name: "Fax", type: String },
            { name: "Orders", kind: "collection", elementType: Order }
        ]),

        Order_Detail: $defineEntity(Order_Detail, [
            { name: "OrderID", type: Number },
            { name: "ProductID", type: Number },
            { name: "UnitPrice", type: Number },
            { name: "Quantity", type: Number },
            { name: "Discount", type: Number },
            { name: "Order", kind: "reference", type: Order }
        ]),

        Order: $defineEntity(Order, [
            { name: "OrderID", type: Number },
            { name: "EmployeeID", type: Number },
            { name: "OrderDate", type: Date },
            { name: "RequiredDate", type: Date },
            { name: "ShippedDate", type: Date },
            { name: "ShipVia", type: Number },
            { name: "Freight", type: Number },
            { name: "ShipName", type: String },
            { name: "ShipAddress", type: String },
            { name: "ShipCity", type: String },
            { name: "ShipRegion", type: String },
            { name: "ShipPostalCode", type: String },
            { name: "ShipCountry", type: String },
            { name: "Order_Details", kind: "collection", elementType: Order_Detail },
            { name: "Customer", kind: "reference", type: Customer }
        ]),

        NorthwindData: $defineDataService(NorthwindData, lightSwitchApplication.rootUri + "/NorthwindData.svc", [
            { name: "Customers", elementType: Customer },
            { name: "Order_Details", elementType: Order_Detail },
            { name: "Orders", elementType: Order }
        ], [
            {
                name: "Customers_SingleOrDefault", value: function (CustomerID) {
                    return new $DataServiceQuery({ _entitySet: this.Customers },
                        lightSwitchApplication.rootUri + "/NorthwindData.svc" + "/Customers(" + "CustomerID=" + $toODataString(CustomerID, "String?") + ")"
                    );
                }
            },
            {
                name: "Order_Details_SingleOrDefault", value: function (OrderID, ProductID) {
                    return new $DataServiceQuery({ _entitySet: this.Order_Details },
                        lightSwitchApplication.rootUri + "/NorthwindData.svc" + "/Order_Details(" + "OrderID=" + $toODataString(OrderID, "Int32?") + "," + "ProductID=" + $toODataString(ProductID, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Orders_SingleOrDefault", value: function (OrderID) {
                    return new $DataServiceQuery({ _entitySet: this.Orders },
                        lightSwitchApplication.rootUri + "/NorthwindData.svc" + "/Orders(" + "OrderID=" + $toODataString(OrderID, "Int32?") + ")"
                    );
                }
            }
        ]),

        DataWorkspace: $defineDataWorkspace(DataWorkspace, [
            { name: "NorthwindData", type: NorthwindData }
        ])

    });

}(msls.application));
